TEXVC(1)

NAME
texvc - math equation PNG renderer

SYNOPSIS

texvc {tempdir} {outputdir} {texcode} {encoding}

DESCRIPTION

texvc is designed to render math equations written in latex code into PNG images.

OPTIONS

{tempdir}
    directory where temporary files are created.

{outputdir}
    directory where the result image is stored.

{texcode}
    latex code string representing math equations.

{encoding}
    used encoding in latex code string.

OUTPUT

Status codes and HTML/MathML transformations are returned on stdout. A rasterized PNG file will be written to the output directory, named for the MD5 hash code.

texvc output format is like this:

    • +%5 ok, but not html or mathml

    • c%5%h ok, conservative html, no mathml

    • m%5%h ok, moderate html, no mathml

    • l%5%h ok, liberal html, no mathml

    • C%5%h\0%m ok, conservative html, with mathml

    • M%5%h\0%m ok, moderate html, with mathml

    • L%5%h\0%m ok, liberal html, with mathml

    • X%5%m ok, no html, with mathml

    • S syntax error

    • E lexing error

    • F%s unknown function %s

    • - other error

with the following codes:

    • \0 - null character

    • %5 - md5, 32 hex characters

    • %h - html code, without \0 characters

    • %m - mathml code, without \0 characters

AUTHOR

This manual page was written by Marc Dequ\[`e]nes (Duck) <Duck@DuckCorp.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR

Marc Dequ\[`e]nes
    Author.

COPYRIGHT
Copyright © 2003 Marc Dequènes (Duck)